Bug 147754 - gtk2 - consitent SIGSEGV from every Gnome application opened on a remote display
gtk2 - consitent SIGSEGV from every Gnome application opened on a remote display
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 17:56 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 01:00:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-02-10 17:56:37 EST
Description of problem:

While every non-Gnome application (say, xterm) opens on a remote
display without any trouble every Gnome one ends up with
Segmentation fault.  Doing the same thing from x86 installation
opens all applications on remote as expected.

Here are traces from abiword (simply because I had debuginfo
loaded from it when I was hit by the issue):

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912496326848 (LWP 16866)]
0x00000033f4668a43 in free () from /lib64/tls/libc.so.6
(gdb) bt
#0  0x00000033f4668a43 in free () from /lib64/tls/libc.so.6
#1  0x00000033f46f65ec in __libc_dlsym () from /lib64/tls/libc.so.6
#2  0x00000033f462562e in __gconv_find_shlib () from /lib64/tls/libc.so.6
#3  0x00000033f4624c5e in find_module () from /lib64/tls/libc.so.6
#4  0x00000033f4625270 in __gconv_lookup_cache () from
/lib64/tls/libc.so.6
#5  0x00000033f461e1df in __gconv_find_transform () from
/lib64/tls/libc.so.6
#6  0x00000033f461cd47 in __gconv_open () from /lib64/tls/libc.so.6
#7  0x00000033f461ca41 in iconv_open () from /lib64/tls/libc.so.6
#8  0x00000033f5710d29 in g_convert_error_quark ()
   from /usr/lib64/libglib-2.0.so.0
#9  0x00000033f5710df6 in g_iconv_open () from /usr/lib64/libglib-2.0.so.0
#10 0x00000033f5711196 in g_iconv_close () from
/usr/lib64/libglib-2.0.so.0
#11 0x00000033f57117c1 in g_convert () from /usr/lib64/libglib-2.0.so.0
#12 0x00000033f5711923 in g_convert_with_fallback ()
   from /usr/lib64/libglib-2.0.so.0
#13 0x00000033f825037c in IA__gdk_utf8_to_string_target
(str=0x2aaaaaf00000 "")
    at gdkselection-x11.c:784
#14 0x00000033f825434c in set_text_property (display=0xd47e70, 
    xwindow=37748737, property=39, utf8_str=0xd386a0 "abiword")
    at gdkwindow-x11.c:2577
#15 0x00000033f8256d0a in IA__gdk_window_set_title (window=0xd4ce80, 
    title=0xd386a0 "abiword") at gdkwindow-x11.c:2656
#16 0x00000033f82572c2 in IA__gdk_window_new (parent=0xd4bf50, 
    attributes=0x7ffffffff690, attributes_mask=12) at gdkwindow-x11.c:908
#17 0x00000033f8236f3f in IA__gdk_display_open
(display_name=0x2aaaaaf00000 "")
    at gdkdisplay-x11.c:202
#18 0x00000033f82198ed in IA__gdk_display_open_default_libgtk_only ()
    at gdk.c:272
#19 0x00000033f7a16e1b in IA__gtk_init_check (argc=0x2aaaaaf00000, 
    argv=0x2aaaaaf6c53c) at gtkmain.c:702
#20 0x000000000050e6cd in AP_UnixApp::main (szAppName=0x7714f9 "AbiWord", 
    argc=-1426668228, argv=0x2aaaaaf6c520) at ap_UnixApp.cpp:1318
#21 0x00000033f461c3fa in __libc_start_main () from /lib64/tls/libc.so.6
#22 0x000000000050aaca in _start ()
#23 0x00007ffffffff978 in ?? ()
#24 0x000000000000001c in ?? ()
#25 0x0000000000000003 in ?? ()
#26 0x00007ffffffffb94 in ?? ()
#27 0x00007ffffffffba5 in ?? ()
#28 0x00007ffffffffbbc in ?? ()
#29 0x0000000000000000 in ?? ()
(gdb) f 19
#19 0x00000033f7a16e1b in IA__gtk_init_check (argc=0x2aaaaaf00000, 
    argv=0x2aaaaaf6c53c) at gtkmain.c:702
702	  return gdk_display_open_default_libgtk_only () != NULL;
Current language:  auto; currently c
(gdb) l
697			char   ***argv)
698	{
699	  if (!gtk_parse_args (argc, argv))
700	    return FALSE;
701	
702	  return gdk_display_open_default_libgtk_only () != NULL;
703	}
704	
705	#ifdef G_PLATFORM_WIN32
706	#undef gtk_init
(gdb) f 13
#13 0x00000033f825037c in IA__gdk_utf8_to_string_target
(str=0x2aaaaaf00000 "")
    at gdkselection-x11.c:784
784	  gchar *result =  g_convert_with_fallback (tmp_str, -1,
(gdb) l
779	gdk_utf8_to_string_target (const gchar *str)
780	{
781	  GError *error = NULL;
782	  
783	  gchar *tmp_str = sanitize_utf8 (str);
784	  gchar *result =  g_convert_with_fallback (tmp_str, -1,
785						    "ISO-8859-1", "UTF-8",
786						    NULL, NULL, NULL, &error);
787	  if (!result)
788	    {


Version-Release number of selected component (if applicable):
gtk2-2.6.2-1

How reproducible:
100%
Comment 1 Michal Jaegermann 2005-02-10 19:41:26 EST
Sigh!  The above may, or may not, be the real issue.  After the
latest round of updates the whole system is a mess and at this
moment I cannot even start X and many other things.  If the above
was really a side-effect of that I cannot tell at this moment.
Hold your fire.
Comment 2 Michal Jaegermann 2005-02-11 01:00:06 EST
This may be a side effect of bug #147655.  I am not really sure
what is going on there and will reopen this if it will turn
out necessary.

Note You need to log in before you can comment on or make changes to this bug.